> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monterey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify a contact



## OpenAPI

````yaml post /contacts/identify
openapi: 3.0.1
info:
  title: Reforge Insights (formerly Monterey AI) API
  version: 1.0.5
servers:
  - url: https://insights.reforge.com/api/v1
security: []
paths:
  /contacts/identify:
    post:
      summary: Identify a contact
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Contact'
      responses:
        '201':
          description: The customer was identified successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
      security:
        - BearerAuth: []
components:
  schemas:
    Contact:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: External contact ID
          nullable: false
        shouldUnflattenProperties:
          type: boolean
          description: >-
            Whether to unflatten properties that are meant to be nested objects
            for example `{ "plan.type": "Pro" }` will be unflattened to `{
            "plan": { "type": "Pro" } }`
          nullable: true
        properties:
          description: >-
            Properties prefixed with `$` are handled specially. Otherwise,
            additional key-value pairs will be metadata once ingested into the
            system
          type: object
          nullable: true
          properties:
            $email:
              type: string
              nullable: true
            $name:
              type: string
              nullable: true
            $createdAt:
              type: string
              format: date-time
              nullable: true
            $updatedAt:
              type: string
              format: date-time
              nullable: true
            $contractValue:
              type: number
              description: The contract value of the contact.
              example: 100000
              nullable: true
          additionalProperties: true
        account:
          $ref: '#/components/schemas/Account'
          nullable: true
        source:
          type: string
          description: Source system to limit search to
          nullable: true
    Account:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: The unique identifier for the account.
          example: account-789
        shouldUnflattenProperties:
          type: boolean
          description: >-
            Whether to unflatten properties that are meant to be nested objects
            for example `{ "plan.type": "Pro" }` will be unflattened to `{
            "plan": { "type": "Pro" } }`
          nullable: true
        properties:
          type: object
          required:
            - $name
            - $domain
          properties:
            $name:
              type: string
              description: The name of the account.
              example: Acme, Inc.
            $domain:
              type: string
              description: The domain of the account.
              example: acme.com
            $createdAt:
              type: string
              format: date-time
              nullable: true
            $updatedAt:
              type: string
              format: date-time
              nullable: true
            $contractValue:
              type: number
              description: The contract value of the account.
              example: 100000
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````